<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotAgeCollectionMetadata;

use UnexpectedValueException;




class AgeCollectionType
{
    


    const O18_BINARY = 0;
    


    const WAFFLE = 1;

    private static $valueToName = [
        self::O18_BINARY => 'O18_BINARY',
        self::WAFFLE => 'WAFFLE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

